import 'entity.base.dart';

class BankCard extends Entity {
  BankCard({
    required String? id,
    required this.alias,
    String? createdAt,
    String? updatedAt,
    this.deleted = false,
  }) : super(id, createdAt, updatedAt);

  final bool deleted;
  final String alias;

  factory BankCard.fromJson(Map<String, dynamic> json) {
    return BankCard(
      alias: json['alias'] ?? 'n/d',
      id: '${json['id']}',
      createdAt: json['createdAt'],
      deleted: json['deleted'] ?? false,
    );
  }
}
