class UserResume {
  final num totalPurchases;
  final num totalSpent;
  final num completedChallenges;

  UserResume({
    this.totalPurchases = 0,
    this.totalSpent = 0,
    this.completedChallenges = 0,
  });

  factory UserResume.fromJson(Map<String, dynamic> json) {
    return UserResume(
      totalPurchases: json['total_purchases'] ?? 0,
      totalSpent: json['total_spent'] ?? 0,
      completedChallenges: json['completed_challenges'] ?? 0,
    );
  }
}
