import 'package:rec_api_dart/src/entities/dto/form_data.dart';

class RechargeData extends FormData {
  double amount = 0;
  String? commerceId;
  String? concept;
  String? pin;
  String? cardId;

  bool campaignTermsAccepted = true;
  bool willEnterCampaign = false;
  bool saveCard = false;

  @override
  Map<String, dynamic> toJson() {
    return {
      'commerce_id': commerceId,
      'amount': amount * 100,
      'concept': concept ?? 'recarga',
      'save_card': '${saveCard ? 1 : 0}',
      if (cardId != null) 'card_id': cardId,
      if (pin != null) 'pin': pin,
    };
  }
}
