enum AwardAction {
  create_topic,
  comment,
  like,
  receive_like,
  uknown,
}

extension AwardActionExt on AwardAction {
  get name {
    switch (this) {
      case AwardAction.create_topic:
        return 'create_topic';
      case AwardAction.comment:
        return 'comment';
      case AwardAction.like:
        return 'like';
      case AwardAction.receive_like:
        return 'receive_like';
      case AwardAction.uknown:
        return 'uknown';
    }
  }
}

AwardAction awardActionFromName(String? name) {
  switch (name) {
    case 'create_topic':
      return AwardAction.create_topic;
    case 'comment':
      return AwardAction.comment;
    case 'like':
      return AwardAction.like;
    case 'receive_like':
      return AwardAction.receive_like;
  }

  return AwardAction.uknown;
}
