enum AwardScope {
  topic,
  post,
  uknown,
}

extension AwardScopeExt on AwardScope {
  get name {
    switch (this) {
      case AwardScope.topic:
        return 'topic';
      case AwardScope.post:
        return 'post';
      case AwardScope.uknown:
        return 'uknown';
    }
  }
}

AwardScope awardScopeFromName(String? name) {
  switch (name) {
    case 'topic':
      return AwardScope.topic;
    case 'post':
      return AwardScope.post;
  }

  return AwardScope.uknown;
}
